summaryrefslogtreecommitdiff
path: root/jenkins.sh
diff options
context:
space:
mode:
authorChristophe Lyon <christophe.lyon@linaro.org>2019-07-04 12:49:37 +0000
committerChristophe Lyon <christophe.lyon@linaro.org>2019-07-04 12:49:37 +0000
commitedbac01d76eb93958f2ac23f01f4be7f9ed5aae7 (patch)
tree79b0cf1c4f0bd0366328fa7fc15819d2443c437e /jenkins.sh
parent6a81bd343b06a6632d8c9f82c7995f0bd6d818ee (diff)
jenkins.sh: Don't fail if check-artifacts.txt contains dj_sum entry
In such a case, the affectation to $sums fails, and because we are running under 'set -e' the script exits before completing the execution of exit_handler() and does not remove the lock. Change-Id: Ice52951ac61a72c19c93d894aab7d6dca96e8db5
Diffstat (limited to 'jenkins.sh')
-rwxr-xr-xjenkins.sh8
1 files changed, 7 insertions, 1 deletions
diff --git a/jenkins.sh b/jenkins.sh
index 43af4fbe..7ce2e872 100755
--- a/jenkins.sh
+++ b/jenkins.sh
@@ -81,7 +81,13 @@ upload_to_logserver()
# Check is check-artifacts.txt is not empty otherwise the
# process gets stuck waiting for stdin
if test -s ${user_workspace}/check-artifacts.txt ; then
- sums="$(read_var ${user_workspace}/check-artifacts.txt 'dj_sum_[^=]*')"
+ ret=0
+ sums="$(read_var ${user_workspace}/check-artifacts.txt 'dj_sum_[^=]*')" || ret=$?
+ if test $ret -gt 0; then
+ echo "WARNING: couldn't find any .sum file in the artifacts"
+ cat ${user_workspace}/check-artifacts.txt
+ status=1
+ fi
else
status=1
fi